> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblProfileGetUserProfilesAsync

> XblProfileGetUserProfilesAsync

# XblProfileGetUserProfilesAsync

指定した XBOX ユーザーのコレクションに対して 1 つ以上のユーザー プロファイルを取得します。

## 構文

```cpp theme={null}
HRESULT XblProfileGetUserProfilesAsync(  
         XblContextHandle xboxLiveContext,  
         uint64_t* xboxUserIds,  
         size_t xboxUserIdsCount,  
         XAsyncBlock* async  
)  
```

### パラメーター

*xboxLiveContext*   \_In\_\
型: [XblContextHandle](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

XblContextCreateHandle で作成された XBOX Live コンテキスト ハンドル。

*xboxUserIds*   \_In\_\
型: uint64\_t\*

プロファイルを取得するユーザーの XBOX ユーザー ID の C スタイル配列。

*xboxUserIdsCount*   \_In\_\
型: size\_t

配列内の XBOX ユーザー ID の数。

*async*   \_In\_\
型: XAsyncBlock\*

呼び出し元によって割り当てられた AsyncBlock。

### 戻り値

型: HRESULT

この API 操作の HRESULT 戻り値コード。

## 解説

結果を取得するには、まず [XblProfileGetUserProfilesResultCount](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresultcount.md) を呼び出して返されたプロファイルの数を取得し、次に AsyncBlock コールバック内または AsyncBlock が完了した後に [XblProfileGetUserProfilesResult](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresult.md) を呼び出します。

## REST 呼び出し

V2 GET /users/batch/profile/settings を呼び出します

## 要件

**ヘッダー:** profile\_c.h

**ライブラリ:** Microsoft.Xbox.Services.14x.GDK.C.lib

## 関連項目

[profile\_c](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/profile_c_members.md)


## Related topics

- [profile_c](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/profile_c_members.md)
- [XblProfileGetUserProfilesResult](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresult.md)
- [XblProfileGetUserProfilesResultCount](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofilesresultcount.md)
- [XblProfileGetUserProfileAsync](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileasync.md)
- [XblProfileGetUserProfileResult](https://docs.xbox.com/ja-jp/reference/live/xsapi-c/profile_c/functions/xblprofilegetuserprofileresult.md)
